For the complete documentation index, see llms.txt. This page is also available as Markdown.

Mark Paid

Beta: Mark paid

post

Mark an invoice as paid

Authorizations
AuthenticationstringRequired

Authentication is token based. You can issue a token for your API request from the 'API' section of the settings menu. The token MUST be sent in a Authorization header with each request.

Example of authenticated request

$ curl -X GET -H "Authorization: Token <your token>" "https://api.dashdoc.eu/api/v4/"
Path parameters
uidstring · uuidRequired
Responses
200Success
application/json
uidstring · uuidOptional

uuid of this Invoice

Example: 687cddac-dbd2-11ea-9024-0242ac130006
description_templateobjectOptional

Ignore. Dashdoc technical data.

document_numberstringOptional

Invoice's number. It usually corresponds to the invoice's number defined in your invoicing tool.

Example: 20211125-11
statusstring · enumOptional

Indicate the status of the invoice

Default: draftPossible values:
due_datestring · date · nullableOptional

Due date of the invoice

Example: 2020-07-30
createdstring · date-timeOptional

Date of creation on our server

Example: 2020-12-22T15:31:39.26167Z
updatedstring · date-timeOptional

Last update on our server

transports_countintegerOptional

Number of transports linked to this invoice

Example: 2
remote_idstringOptional

The id of the invoice in your system.

Example: COMP_123_INV_1
invoicing_connectorobjectOptional

Ignore. Dashdoc technical data.

filestring · urlOptional

Invoice file path

Example: https://storage.googleapis.com/dashdoc-media/media/invoices/aabd42eb.png
invoicing_datestring · dateOptional

Date of invoicing

Example: 2022-05-24
finalized_atstring · date-timeOptional

Date of invoice finalization.

Example: 2021-12-14T18:23:44.648232Z
debtor_referencestringOptional

Pre-billing reference

Example: D_PreBillingREF1
total_pricestringOptional

Total price, excluding taxes

Example: 100.00
total_tax_amountstringOptional

Total taxes amount

Example: 100.00
post/invoices/{uid}/mark-paid/
POST /api/v4/invoices/{uid}/mark-paid/ HTTP/1.1
Host: api.dashdoc.eu
Authentication: YOUR_API_KEY
Accept: */*
200Success
{
  "uid": "687cddac-dbd2-11ea-9024-0242ac130006",
  "created_by": {
    "pk": 928,
    "name": "Transport Bouvet",
    "primary_address": {
      "pk": 23498,
      "name": "Transport Bouvet",
      "address": "3 rue des champs",
      "city": "Nantes",
      "postcode": "44000",
      "country": "FR",
      "latitude": -52.5561625,
      "longitude": 92.896504,
      "radius": 500,
      "coords_validated": false,
      "is_demo": true,
      "is_carrier": true,
      "is_shipper": true,
      "is_origin": true,
      "is_destination": true,
      "created_by": {
        "pk": 25,
        "name": "Transport Bouvet"
      },
      "created_by_user": {
        "pk": 34,
        "display_name": "Jean Pierre Bouvet",
        "company": 25,
        "trucker_id": 95
      },
      "created": "2020-12-22T15:31:39.26167Z",
      "remote_id": "text"
    },
    "country": "FR",
    "vat_number": "text"
  },
  "debtor": {
    "pk": 928,
    "invoicing_remote_id": "text",
    "name": "Transport Bouvet",
    "primary_address": {
      "pk": 23498,
      "name": "Transport Bouvet",
      "address": "3 rue des champs",
      "city": "Nantes",
      "postcode": "44000",
      "country": "FR",
      "latitude": -52.5561625,
      "longitude": 92.896504,
      "radius": 500,
      "coords_validated": false,
      "is_demo": true,
      "is_carrier": true,
      "is_shipper": true,
      "is_origin": true,
      "is_destination": true,
      "created_by": {
        "pk": 25,
        "name": "Transport Bouvet"
      },
      "created_by_user": {
        "pk": 34,
        "display_name": "Jean Pierre Bouvet",
        "company": 25,
        "trucker_id": 95
      },
      "created": "2020-12-22T15:31:39.26167Z",
      "remote_id": "text"
    },
    "country": "FR",
    "vat_number": "text"
  },
  "description_template": {},
  "document_number": "20211125-11",
  "status": "draft",
  "due_date": "2020-07-30",
  "line_groups": [
    {
      "transport": {
        "uid": "d6e95574-8c1f-4b97-bdea-f20d0eb4f7f0",
        "sequential_id": 38332787,
        "deliveries": [
          {
            "uid": "d31bf46b-2175-4d1c-aae3-f0f0162e43c4",
            "origin": {
              "uid": "text",
              "company_name": "Graillet",
              "city": "Gap"
            },
            "destination": {
              "uid": "text",
              "company_name": "Graillet",
              "city": "Gap"
            }
          }
        ],
        "documents": [
          {
            "delivery": "d31bf46b-2175-4d1c-aae3-f0f0162e43c4",
            "file": "text",
            "reference": "3861546",
            "category": "text"
          }
        ],
        "messages": [
          {
            "document": "text",
            "reference": "REF_123",
            "document_type": "load_photo"
          }
        ]
      },
      "lines": [
        {
          "description": "Unité de facturation : Forfait",
          "quantity": 1,
          "unit_price": 0,
          "currency": "EUR",
          "total_price_without_tax": 10,
          "invoice_item": {
            "uid": "687cddac-dbd2-11ea-9024-0242ac130006",
            "remote_id": "ITEM_123",
            "description": "Gas transportation"
          },
          "is_gas_indexed": true
        }
      ],
      "description": "Transport N°3833279\nNuméro de LV : 3861546\nChargement : Graillet , 3 Chemin de la Carrière, 05000 Gap, FR\nLivraison : Perret, 6 Rue du Petit Bois, 52300 Suzannecourt, FR",
      "currency": "EUR",
      "gas_index": "text",
      "gas_index_invoice_item": {
        "uid": "687cddac-dbd2-11ea-9024-0242ac130006",
        "remote_id": "ITEM_123",
        "description": "Gas transportation"
      }
    }
  ],
  "lines": [
    {
      "description": "Unité de facturation : Forfait",
      "quantity": 1,
      "unit_price": 0,
      "currency": "EUR",
      "total_price_without_tax": 10,
      "invoice_item": {
        "uid": "687cddac-dbd2-11ea-9024-0242ac130006",
        "remote_id": "ITEM_123",
        "description": "Gas transportation"
      },
      "is_gas_indexed": true
    }
  ],
  "created": "2020-12-22T15:31:39.26167Z",
  "updated": "2026-01-01T00:00:00.000Z",
  "period": {
    "first_loading_at": "2021-12-13T18:23:44.648232Z",
    "last_unloading_at": "2021-12-14T18:23:44.648232Z"
  },
  "transports_count": 2,
  "remote_id": "COMP_123_INV_1",
  "invoicing_connector": {},
  "file": "https://storage.googleapis.com/dashdoc-media/media/invoices/aabd42eb.png",
  "invoicing_date": "2022-05-24",
  "finalized_at": "2021-12-14T18:23:44.648232Z",
  "debtor_reference": "D_PreBillingREF1",
  "total_price": "100.00",
  "total_tax_amount": "100.00"
}

Last updated

Was this helpful?